rules:
  # Bronze
  action-setup:
    status: exempt
    comment: |
      This integration does not provide additional actions.
  appropriate-polling: done
  brands: done
  common-modules: done
  config-flow-test-coverage: done
  config-flow: done
  dependency-transparency: done
  docs-actions:
    status: exempt
    comment: |
      This integration does not provide additional actions.
  docs-high-level-description: todo
  docs-installation-instructions: todo
  docs-removal-instructions: todo
  entity-event-setup:
    status: exempt
    comment: |
      Entities of this integration does not explicitly subscribe to events.
  entity-unique-id: done
  has-entity-name: done
  runtime-data: done
  test-before-configure: done
  test-before-setup: done
  unique-config-entry: done

  # Silver
  action-exceptions:
    status: exempt
    comment: |
      This integration does not provide additional actions.
  config-entry-unloading: done
  docs-configuration-parameters: todo
  docs-installation-parameters: todo
  entity-unavailable:
    status: exempt
    comment: |
      This is handled by the coordinator.
  integration-owner: done
  log-when-unavailable:
    status: done
    comment: |
      This is handled by the coordinator.
  parallel-updates: todo
  reauthentication-flow: todo
  test-coverage: done
  # Gold
  devices: done
  diagnostics: todo
  discovery-update-info:
    status: exempt
    comment: |
      This integration is a service and not discoverable.
  discovery:
    status: exempt
    comment: |
      This integration is a service and not discoverable.
  docs-data-update: todo
  docs-examples: todo
  docs-known-limitations: todo
  docs-supported-devices: todo
  docs-supported-functions: todo
  docs-troubleshooting: todo
  docs-use-cases: todo
  dynamic-devices: todo
  entity-category:
    status: done
    comment: |
      The entities are categorized well by using default category.
  entity-device-class: done
  entity-disabled-by-default: done
  entity-translations: done
  exception-translations: todo
  icon-translations: done
  reconfiguration-flow: todo
  repair-issues:
    status: exempt
    comment: |
      This integration doesn't have any cases where raising an issue is needed.
  stale-devices:
    status: exempt
    comment: |
      Games can't be "unplayed".

  # Platinum
  async-dependency: done
  inject-websession: done
  strict-typing: todo
